.. highlight:: cpp

Stream
======

Stream buffers
--------------

.. doxygenclass:: orcus::file_content
   :members:

.. doxygenclass:: orcus::memory_content
   :members:

Utility functions
-----------------

.. doxygenstruct:: orcus::line_with_offset
   :members:

.. doxygenfunction:: orcus::create_parse_error_output
.. doxygenfunction:: orcus::locate_line_with_offset
.. doxygenfunction:: orcus::locate_first_different_char
.. doxygenfunction:: orcus::calc_logical_string_length
